/*	@(#)usage.c	1.1	1/26/85	*/

#include "kermit.h"


static char *documentation[] = {
    "",
    "DESCRIPTION:",
    "",
    "\tKermit allows two machines to communicate via a serial line.",
    "\tIt features transmission and reception of ASCII files using",
    "\tpackets (with checksums) and retransmission of lost",
    "\tor corrupted packets.",
    "",
    "SYNOPSIS:",
    "",
    "\tkermit [-chmrRst] [-b baud] [-e esc] [-l line] [-p photo] [files]",
    "",
    "\t\tb     =>   set baud rate to <baud>",
    "\t\tc     =>   connect to other machine (^D to escape)",
    "\t\te     =>   set escape character to <esc>",
    "\t\th     =>   print this help message",
    "\t\tl     =>   set communications line to file <line>",
    "\t\tm     =>   map upper case to lower case in filenames",
    "\t\tp     =>   capture all incoming characters in file <photo>",
    "\t\tr     =>   receive files from other machine",
    "\t\tR     =>   this kermit is running on remote machine",
    "\t\ts     =>   send files to other machine",
    "\t\tt     =>   trace progress by output to stdout",
    "",
    NULL
};


VOID Usage ()
{
    DBUG_ENTER ("Usage");
    (VOID) fprintf (stderr,
    "usage: kermit [-chmRrst] [-b baud] [-e esc] [-l line] [-p photo] [files]\n");
    (VOID) fprintf (stderr,"       kermit -h for help\n");
    WrapUp (0);
    DBUG_VOID_RETURN;
}


VOID Help ()
{
    register char **dp;

    DBUG_ENTER ("Help");
    dp = documentation;
    while (*dp != NULL) {
	(VOID) printf ("%s\n", *dp++);
    }
    DBUG_VOID_RETURN;
}

